<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('ranks', function (Blueprint $table): void {
            $table->decimal('daily_capping', 14, 2)->default(0)->after('reward_amount');
        });
    }

    public function down(): void
    {
        Schema::table('ranks', function (Blueprint $table): void {
            $table->dropColumn('daily_capping');
        });
    }
};
